/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

/// ChannelMemberCountByGroup : An object describing group member information in a channel

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct ChannelMemberCountByGroup {
    /// ID of the group
    #[serde(rename = "group_id", skip_serializing_if = "Option::is_none")]
    pub group_id: Option<String>,
    /// Total number of group members in the channel
    #[serde(
        rename = "channel_member_count",
        skip_serializing_if = "Option::is_none"
    )]
    pub channel_member_count: Option<f32>,
    /// Total number of unique timezones for the group members in the channel
    #[serde(
        rename = "channel_member_timezones_count",
        skip_serializing_if = "Option::is_none"
    )]
    pub channel_member_timezones_count: Option<f32>,
}

impl ChannelMemberCountByGroup {
    /// An object describing group member information in a channel
    pub fn new() -> ChannelMemberCountByGroup {
        ChannelMemberCountByGroup {
            group_id: None,
            channel_member_count: None,
            channel_member_timezones_count: None,
        }
    }
}
